Subject: Re: bug#23200: XFCE: selecting a style has no effect

From: Jookia <[email-masked]>
Date: Tue, 5 Apr 2016 16:54:24 +1000

On Mon, Apr 04, 2016 at 09:19:47PM -0700, Chris Marusich wrote:
> [email-masked] (Ludovic Courtès) writes:
> 
> > [email-masked] (Ludovic Courtès) skribis:
> >
> >> I’ve tested that with this patch changing colors under the “Style” tab
> >> in Xfce does have an effect.
> >>
> >> I’ll commit it shortly if there are no objections.
> >
> > Pushed a slightly different version as
> > ae05e366bea4517f1e428799f00f11997ccef661.
> 
> This fixed the issue for me.  Thanks!
> 
> -- 
> Chris

I heavily disagree with this approach for two reasons:

1) It doesn't work with user theme installs.
2) I have a patch that fixes this problem completely.
3) The fix I provided has been duplicated upstream in GTK+.

I suggest reverting this and applying my patch and read the full breakdown of
the issue and solution here:

https://lists.gnu.org/archive/html/guix-devel/2016-03/msg00492.html

This was the patch I suggested earlier but seem to be ignored or missed.

Jookia.